Skip to main content
GET
Spree Admin SDK

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

id
string
required

Package type ID

Response

package type found

id
string
required
name
string
required
kind
enum<string>
required
Available options:
box,
envelope,
carton,
pallet,
container
length
string | null
required
width
string | null
required
height
string | null
required
weight
string | null
required
max_weight
string | null
required
default
boolean
required
metadata
object | null
required
created_at
string
required
updated_at
string
required
dimensions_unit
enum<string>
required
Available options:
mm,
cm,
in,
ft
weight_unit
enum<string>
required
Available options:
g,
kg,
lb,
oz
volume
string | null
required
seller_id
string | null
required
seller_name
string | null
required